Package org.springframework.web.servlet.resource

# Interface HttpResource

All Superinterfaces:
  `org.springframework.core.io.InputStreamSource`, `org.springframework.core.io.Resource`

public interface HttpResource extends org.springframework.core.io.Resource
Extended interface for a `Resource` to be written to an HTTP response.

Since:
  5.0
Author:
  Brian Clozel

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.HttpHeaders`
`getResponseHeaders()`
The HTTP headers to be contributed to the HTTP response that serves the current resource.

### Methods inherited from interface org.springframework.core.io.InputStreamSource

`getInputStream`

### Methods inherited from interface org.springframework.core.io.Resource

`contentLength, createRelative, exists, getContentAsByteArray, getContentAsString, getDescription, getFile, getFilename, getURI, getURL, isFile, isOpen, isReadable, lastModified, readableChannel`

## Method Details

### getResponseHeaders

org.springframework.http.HttpHeaders getResponseHeaders()
The HTTP headers to be contributed to the HTTP response that serves the current resource.

Returns:
  the HTTP response headers